package com.example.demo;

import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;

@Controller
@RequestMapping("/kalkulator")
public class KalkulatorController {
    
    @GetMapping
    public String kalkulatorGet() {
        return "kalkulator.html";
    }

    @PostMapping
    public String kalkulatorPost(Long liczba1, Long liczba2, String operacja, Model model) {
        long wynik = switch(operacja) {
            case "+" -> liczba1 + liczba2;
            case "-" -> liczba1 - liczba2;
            case "*" -> liczba1 * liczba2;
            case "/" -> liczba1 / liczba2;        
            default -> 0;
        };
        
        model.addAttribute("wynik", wynik);
        return "kalkulator.html";
    }
    
}
